using UnityEngine.Events;

namespace VOID.Generic.Objects.Unit.Events
{
    public class AnimationGenericEventSet
    {
        public UnityEvent<AnimationGenericEvent> onStart = new();
        public UnityEvent<AnimationGenericEvent> onLoopStart = new();
        public UnityEvent<AnimationGenericEvent> onPerform = new();
        public UnityEvent<AnimationGenericEvent> onLoopEnd = new();
        public UnityEvent<AnimationGenericEvent> onEnd = new();
    }
}